(************************************************************************)
(*         *   The Coq Proof Assistant / The Coq Development Team       *)
(*  v      *         Copyright INRIA, CNRS and contributors             *)
(* <O___,, * (see version control and CREDITS file for authors & dates) *)
(*   VV/  **************************************************************)
(*    //   *    This file is distributed under the terms of the         *)
(*         *     GNU Lesser General Public License Version 2.1          *)
(*         *     (see LICENSE file for the text of the license)         *)
(************************************************************************)

(************************************************************************)
(* SerAPI: Coq interaction protocol with bidirectional serialization    *)
(************************************************************************)
(* Copyright 2016-2019 MINES ParisTech -- License LGPL 2.1+             *)
(* Copyright 2019-2023 Inria           -- License LGPL 2.1+             *)
(* Written by: Emilio J. Gallego Arias and others                       *)
(************************************************************************)

type options =
  { omit_loc : bool
  ; omit_att : bool
  ; omit_env : bool
  ; exn_on_opaque : bool
  }

let init ~options =
  Ser_loc.omit_loc  := options.omit_loc;
  Ser_cAst.omit_att := options.omit_att;
  Serlib_base.exn_on_opaque := options.exn_on_opaque;
  Ser_environ.abstract_env := options.omit_env;
  ()
